chrome.runtime.onInstalled.addListener( () => {
	chrome.contextMenus.create({
		id: 'translatePJM',
		title: "Przetłumacz na PJM: %s", 
		contexts:[ "selection" ]
	});
});

chrome.contextMenus.onClicked.addListener( ( info, tab ) => {
	if ( 'translatePJM' === info.menuItemId ) {
		chrome.windows.getAll(
			{populate:true,windowTypes:["popup"]},
			function(windows) {
				var choosedWindow = undefined;
				windows.forEach((win)=>{//szukamy okienka z avatarem
					if (win.type=='popup' && win.tabs.length==1 && 
					win.tabs[0].url.includes(".migowisko.pl")){
					// win.tabs[0].url.includes("localhost")){
						choosedWindow = win;
					}
				});
				if (choosedWindow==undefined)
				{
					chrome.windows.create(	  
					{
						url:"https://matchmakeravatar.migowisko.pl",
						// url:"http://localhost",			 
						height:500,
						width:500,
						type:'popup'
					},
					function(win) {
						// window = win;			  
					});
				}else
				{
					chrome.windows.update(
						choosedWindow.id,
						{drawAttention:true, focused:true},
						function(win) {
							// window = win;		
							chrome.tabs.sendMessage(
								choosedWindow.tabs[0].id,
								info.selectionText,
								{},
								function(res){
									if (res==undefined)
									{
										//miejsce na wykrywanie bledow
										//console.log(runtime.lastError);
									}
								}
							  );	  
						  }
					  );
				}			  
			}
	  	)
	}
} );